API-PleskExpand

Metadata

Analyzed metadata and errors of API-PleskExpand.

{
   "abstracts_in_pod" : {
      "API::PleskExpand" : "OOP interface to the Plesk Expand XML API (http://www.parallels.com/en/products/plesk/expand/).",
      "API::PleskExpand::Accounts" : "extension module for the management Plesk user accounts from Plesk Expand.",
      "API::PleskExpand::Domains" : "extension module to support operations with Plesk domains (only create) from Plesk Expand."
   },
   "author" : "NRG",
   "buildfile_executable" : 2,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/API",
      "lib/API/PleskExpand",
      "t"
   ],
   "dist" : "API-PleskExpand",
   "dynamic_config" : 0,
   "error" : {
      "consistent_version" : "1.04,1.07"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_build_pl" : "Build.PL",
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Build.PL",
      "Changes",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "lib/API/PleskExpand.pm",
      "lib/API/PleskExpand/Domains.pm",
      "lib/API/PleskExpand/Accounts.pm"
   ],
   "files_hash" : {
      "Build.PL" : {
         "mtime" : 1223834691,
         "size" : 682,
         "used" : [
            "Module::Build",
            "strict",
            "warnings"
         ]
      },
      "Changes" : {
         "mtime" : 1221167569,
         "size" : 923
      },
      "MANIFEST" : {
         "mtime" : 1223835473,
         "size" : 256
      },
      "META.yml" : {
         "mtime" : 1223835473,
         "size" : 747
      },
      "Makefile.PL" : {
         "mtime" : 1223834691,
         "size" : 919,
         "used" : [
            "ExtUtils::MakeMaker"
         ]
      },
      "README" : {
         "mtime" : 1223834691,
         "size" : 1522
      },
      "lib/API/PleskExpand.pm" : {
         "license" : "Perl_5",
         "module" : "API::PleskExpand",
         "mtime" : 1221157394,
         "size" : 4282,
         "used" : [
            "API::Plesk",
            "Carp",
            "Data::Dumper",
            "lib",
            "strict",
            "warnings"
         ]
      },
      "lib/API/PleskExpand/Accounts.pm" : {
         "license" : "Perl_5",
         "module" : "API::PleskExpand::Accounts",
         "mtime" : 1221167151,
         "size" : 7927,
         "used" : [
            "API::Plesk::Methods",
            "Data::Dumper",
            "strict",
            "warnings"
         ]
      },
      "lib/API/PleskExpand/Domains.pm" : {
         "license" : "Perl_5",
         "module" : "API::PleskExpand::Domains",
         "mtime" : 1221167520,
         "size" : 4251,
         "used" : [
            "API::Plesk::Methods",
            "Data::Dumper",
            "strict",
            "warnings"
         ]
      },
      "t/TestData.pm" : {
         "mtime" : 1223834691,
         "no_index" : 1,
         "size" : 464
      },
      "t/expand.t" : {
         "mtime" : 1223834691,
         "no_index" : 1,
         "size" : 14419,
         "used" : [
            "Carp",
            "Data::Dumper",
            "Test::LongString",
            "Test::More",
            "TestData",
            "lib",
            "strict",
            "warnings"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 0,
      "consistent_version" : 0,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "92.68",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 1,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 1,
      "metayml_has_provides" : 0,
      "metayml_has_repository_resource" : 0,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1223835473,
   "license" : "perl defined in META.yml",
   "license_file" : "lib/API/PleskExpand.pm,lib/API/PleskExpand/Accounts.pm,lib/API/PleskExpand/Domains.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/API/PleskExpand.pm",
         "lib/API/PleskExpand/Accounts.pm",
         "lib/API/PleskExpand/Domains.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "API::PleskExpand - OOP interface to the Plesk Expand XML API",
      "author" : [
         "NRG <pavel.odintsov@googlemail.com>"
      ],
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "distribution_type" : "module",
      "generated_by" : "ExtUtils::MakeMaker version 6.46",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "API-PleskExpand",
      "no_index" : {
         "directory" : [
            "t",
            "inc"
         ]
      },
      "requires" : {
         "API::Plesk" : "1.06",
         "Carp" : "0",
         "Data::Dumper" : "0",
         "Getopt::Long" : "0",
         "HTTP::Request" : "0",
         "LWP::UserAgent" : "0",
         "Test::LongString" : "0",
         "Test::More" : "0",
         "URI" : "0"
      },
      "version" : "1.07"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "lib/API/PleskExpand.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "API::PleskExpand"
      },
      {
         "file" : "lib/API/PleskExpand/Domains.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "API::PleskExpand::Domains"
      },
      {
         "file" : "lib/API/PleskExpand/Accounts.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "API::PleskExpand::Accounts"
      }
   ],
   "no_index" : "^inc/;^t/",
   "no_pax_headers" : 1,
   "package" : "API-PleskExpand-1.07.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "HTTP::Request",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::More",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "API::Plesk",
         "type" : "runtime_requires",
         "version" : "1.06"
      },
      {
         "is_prereq" : 1,
         "requires" : "Data::Dumper",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Getopt::Long",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Carp",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::LongString",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "URI",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "LWP::UserAgent",
         "type" : "runtime_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1223835789,
   "size_packed" : 9170,
   "size_unpacked" : 36392,
   "uses" : {
      "used_in_code" : {
         "API::Plesk" : 2,
         "API::Plesk::Methods" : 2,
         "Carp" : 1,
         "Data::Dumper" : 3,
         "lib" : 1,
         "strict" : 3,
         "warnings" : 3
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "Module::Build" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_tests" : {
         "Carp" : 1,
         "Data::Dumper" : 1,
         "Test::LongString" : 1,
         "Test::More" : 1,
         "lib" : 1,
         "strict" : 1,
         "warnings" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "1.07",
   "versions" : {
      "lib/API/PleskExpand.pm" : {
         "API::PleskExpand" : "1.07"
      },
      "lib/API/PleskExpand/Accounts.pm" : {
         "API::PleskExpand::Accounts" : "1.04"
      },
      "lib/API/PleskExpand/Domains.pm" : {
         "API::PleskExpand::Domains" : "1.04"
      }
   },
   "vname" : "API-PleskExpand-1.07"
}